Summary: Simple WHOIS Daemon for the whois directory service
Name: swhoisd
Version: 2.0
Release: 1
Copyright: distributable
Group: Utilities/Network
Source: ftp://dan.drydog.com/%{name}-%{version}.tar.gz
URL: http://dan.drydog.com/swhoisd/
Distribution: Dan E. Anderson http://www.dan.drydog.com/
Vendor: Dan E. Anderson http://www.dan.drydog.com/
Buildroot: /var/tmp/swhoisd-root
Prefix: /

%description
swhoisd is a simple whois daemon that provides a whois directory service.
It is much simpler to setup and administrator than the other whois
daemons available, such as RIPE whois or the original SRC whois.
This is because it uses a flat-text file over a complex database.
This whois server is recommended only for small databases
(preferably under 100 records and no more than 1000).

This daemon conforms to RFC 834 and uses TCP port 43 (service "whois").

Install this if you know what a whois daemon is and want to set one up.

Based on source code originally developed by Joal Cabral (see COPYRIGHT file).

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS
make

%install
mkdir -p $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin/ $RPM_BUILD_ROOT/usr/man/man8/
install -m644 -c swhoisd.conf.sample $RPM_BUILD_ROOT/etc/swhoisd.conf
install -m644 -c swhoisd.header $RPM_BUILD_ROOT/etc/
install -m644 -c swhoisd.footer $RPM_BUILD_ROOT/etc/
install -m644 -c whois.xinetd $RPM_BUILD_ROOT/etc/xinetd.d/whois
install -m644 -c in.swhoisd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m755 -c -s in.swhoisd $RPM_BUILD_ROOT/usr/sbin/

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT INSTALL README rfc1834.txt
%doc whois.c swhoisd.conf.sample Makefile
%config /etc/swhoisd.conf
%config /etc/swhoisd.header
%config /etc/swhoisd.footer
%config /etc/xinetd.d/whois
/usr/sbin/in.swhoisd
/usr/man/man8/in.swhoisd.8.gz

%changelog 
* Sat Jun 23 2001 Dan Anderson <danx@cts.com>
- Created package
